[Overview][Types][Classes][Index] | Reference for unit 'resdatastream' (#fcl-res)

# TResourceDataStream.SetCustomStream

Sets a custom stream as the underlying stream

## Declaration

Source position: resdatastream.pp line 78

`public procedure TResourceDataStream.SetCustomStream(`
`aStream: TStream`
`);`

## Arguments

`aStream` |  | The stream to use as the underlying stream. It can be nil

## Description

This method sets a custom stream as the underlying stream.

If aStream is nil, a new memory stream is used as the underlying stream. This can be used to remove a previously set custom stream as the underlying stream.

Usually it is called by TAbstractResource.SetCustomRawDataStream.

## See also

TResourceDataStream |  | Stream class that provides copy-on-write functionality
TAbstractResource.SetCustomRawDataStream |  | Sets a custom stream as the underlying stream for RawData